com.pixelmed.apps

## Class DoseUtility.OurMediaImporter

- java.lang.Object
- - com.pixelmed.dicom.MediaImporter
  - - com.pixelmed.apps.DoseUtility.OurMediaImporter

Enclosing class:
  DoseUtility

    protected class DoseUtility.OurMediaImporter
    extends MediaImporter

### Nested Class Summary

### Nested classes/interfaces inherited from class com.pixelmed.dicom.MediaImporter

`MediaImporter.MediaImporterWithFileChooserDialogThread`

### Field Summary

Fields
`protected boolean` `canUseBzip`

### Fields inherited from class com.pixelmed.dicom.MediaImporter

`logger, mediaDirectoryPath, progressBar, progressBarUpdater`

### Constructor Summary

Constructors
Constructor and Description
`DoseUtility.OurMediaImporter(MessageLogger logger, javax.swing.JProgressBar progressBar)`

### Method Summary

Methods
`protected void` `doSomethingWithDicomFileOnMedia(java.lang.String mediaFileName)` Do something with the referenced DICOM file that has been encountered.
`protected boolean` `isOKToImport(java.lang.String sopClassUID, java.lang.String transferSyntaxUID)` Check for valid information, and that the file is not compressed or not a suitable storage object for import.

### Methods inherited from class com.pixelmed.dicom.MediaImporter

`choosePathAndImportDicomFiles, choosePathAndImportDicomFiles, getDirectory, importDicomFiles, logLn, main`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### canUseBzip

    protected boolean canUseBzip

### Constructor Detail

#### DoseUtility.OurMediaImporter

    public DoseUtility.OurMediaImporter(MessageLogger logger,
                                javax.swing.JProgressBar progressBar)

### Method Detail

#### doSomethingWithDicomFileOnMedia

    protected void doSomethingWithDicomFileOnMedia(java.lang.String mediaFileName)

Description copied from class: `MediaImporter`

Do something with the referenced DICOM file that has been encountered.

This method needs to be implemented in a sub-class to do anything useful. The default method does nothing.

This method does not define any exceptions and hence must handle any errors locally.

Overrides:
  `doSomethingWithDicomFileOnMedia` in class `MediaImporter`
Parameters:
  `mediaFileName` - the fully qualified path name to a DICOM file

#### isOKToImport

    protected boolean isOKToImport(java.lang.String sopClassUID,
                       java.lang.String transferSyntaxUID)

Description copied from class: `MediaImporter`

Check for valid information, and that the file is not compressed or not a suitable storage object for import.

Overrides:
  `isOKToImport` in class `MediaImporter`